Subject: Re: [PATCH] powerpc: add Book E support to 64-bit hibernation

From: Scott Wood <[email-masked]>
Date: Mon, 8 Apr 2013 13:24:56 -0500

On 04/06/2013 10:01:45 PM, Wang Dongsheng-B40534 wrote:
>=20
>=20
> > -----Original Message-----
> > From: Wood Scott-B07421
> > Sent: Thursday, April 04, 2013 4:16 AM
> > To: Wang Dongsheng-B40534
> > Cc: Wood Scott-B07421; Johannes Berg; [email-masked]
> > Subject: Re: [PATCH] powerpc: add Book E support to 64-bit =20
> hibernation
> >
> > On 04/03/2013 12:36:41 AM, Wang Dongsheng-B40534 wrote:
> > >
> > >
> > > > -----Original Message-----
> > > > From: Wood Scott-B07421
> > > > Sent: Wednesday, April 03, 2013 8:35 AM
> > > > To: Wang Dongsheng-B40534
> > > > Cc: Wood Scott-B07421; Johannes Berg; =20
> [email-masked]
> > > > Subject: Re: [PATCH] powerpc: add Book E support to 64-bit
> > > hibernation
> > > >
> > > > On 04/02/2013 12:28:40 AM, Wang Dongsheng-B40534 wrote:
> > > > > Hi scott & Johannes,
> > > > >
> > > > > Thanks for reviewing.
> > > > >
> > > > > @scott, About this patch, could you please help ack this =20
> patch?
> > > >
> > > > Please investigate the issue of whether we are loading kernel =20
> module
> > > > code in this step, and whether cache flushing is needed as a =20
> result.
> > > >
> > > Sorry, I am not very clear what you mean.
> > > When the kernel boot end, modprobe some xx.ko?
> >
> > Suppose, before the kernel was suspended, modules had been loaded.  =20
> At
> > what point do those modules get restored, and when does the cache =20
> get
> > flushed?
> >
> Before the kernel was suspended, modules had been loaded, the modules =20
> is
> already in memory.

They *were* in memory, until the hardware was powered down.

> And /lib/modules/* is belong to vfs.

Huh?  I'm talking about modules that have been loaded, not where in the =20
filesystem they were loaded from.  Loading a module is not like =20
mmap()ing a file.

> When suspend to disk, all used pages will be saved.(Include VFS, =20
> Loaded modules)
> When restore, the kernel will not modprobe again.

Of course it won't modprobe again.  Still, at some point during the =20
resume process, the code has to be loaded from disk into RAM.  What I =20
don't know is if this is where that happens.

> The non-bootcpu will restore all pages.(Include VFS, Loaded modules)

I don't know what "non-bootcpu" has to do with anything.  What matters =20
is what piece of code does the restoring, and if the cache flush =20
properly happens then.

-Scott=